[arch-commits] Commit in gxine/trunk (ChangeLog PKGBUILD gxine.install)

Alexander Fehr alexanderf at archlinux.org
Mon Jul 21 07:50:29 EDT 2008


    Date: Monday, July 21, 2008 @ 07:50:18
  Author: alexanderf
Revision: 5824

upgpkg: gxine 0.5.903-1

Added:
  gxine/trunk/ChangeLog
  gxine/trunk/gxine.install
Modified:
  gxine/trunk/PKGBUILD

---------------+
 ChangeLog     |   16 ++++++++++++++++
 PKGBUILD      |   40 +++++++++++++++++++++-------------------
 gxine.install |   12 ++++++++++++
 3 files changed, 49 insertions(+), 19 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-21 11:50:18 UTC (rev 5824)
@@ -0,0 +1,16 @@
+2008-07-17  Alexander Fehr  <pizzapunk gmail com>
+
+  * gxine-0.5.903-1:
+  New upstream release.
+  New maintainer.
+  Added license.
+  Added HAL support.
+  Added dependencies on desktop-file-utils and hicolor-icon-theme.
+  Added make and optional dependency on libxaw.
+  Changed download location to downloads.sourceforge.net.
+  Set idle-mode logo format to image.
+  Set VENDOR_PKG_VERSION.
+  Fixed browser plugin location.
+  Fixed man page location.
+  Added install file.
+  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-21 11:38:10 UTC (rev 5823)
+++ PKGBUILD	2008-07-21 11:50:18 UTC (rev 5824)
@@ -1,28 +1,30 @@
 # $Id$
-# Maintainer: Aaron Griffin <aaron at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 
 pkgname=gxine
-pkgver=0.5.11
+pkgver=0.5.903
 pkgrel=1
+pkgdesc="GTK+ frontend for xine"
+arch=('i686' 'x86_64')
 url="http://xinehq.de/"
-pkgdesc="A free video player for Unix"
-arch=(i686 x86_64)
-depends=('gtk2' 'xine-lib' 'spidermonkey')
-source=(http://easynews.dl.sourceforge.net/sourceforge/xine/$pkgname-$pkgver.tar.bz2)
-options=(nolibtool)
-md5sums=('b210d1f6e3eab3ff496c1db9e09dbcd0')
+license=('GPL')
+depends=('xine-lib' 'gtk2' 'spidermonkey' 'hal' 'desktop-file-utils' 'hicolor-icon-theme')
+makedepends=('libxaw')
+optdepends=('libxaw: Mozilla browser plugin')
+options=('!libtool')
+install=gxine.install
+source=(http://downloads.sourceforge.net/xine/gxine-$pkgver.tar.bz2)
+md5sums=('3878ffb159fa5aca093617dab4924e6d')
 
-build()
-{
-  cd $startdir/src/gxine-$pkgver
+build() {
+  cd "$srcdir/gxine-$pkgver"
 
-  #integration wizard segfaults with gnome and does nothing for KDE (code incomplete)
-  ./configure --prefix=/usr --sysconfdir=/etc --disable-integration-wizard \
-        --mandir=/usr/man --with-x --without-mozjs --with-spidermonkey=/usr/include/js
-  make|| return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --disable-lirc --disable-integration-wizard \
+    --with-spidermonkey=/usr/include/js --with-logo-format=image \
+    VENDOR_PKG_VERSION="$pkgver-$pkgrel; Arch Linux" || return 1
+  make || return 1
+  make DESTDIR="$pkgdir" install || return 1
 
-  make DESTDIR=$startdir/pkg install
-
-  mkdir -p $startdir/pkg/opt/mozilla/lib/plugins/
-  ln -sf /usr/lib/gxine/gxineplugin.so $startdir/pkg/opt/mozilla/lib/plugins/
+  mkdir -p "$pkgdir/usr/lib/mozilla/plugins" || return 1
+  ln -s /usr/lib/gxine/gxineplugin.so "$pkgdir/usr/lib/mozilla/plugins" || return 1
 }

Added: gxine.install
===================================================================
--- gxine.install	                        (rev 0)
+++ gxine.install	2008-07-21 11:50:18 UTC (rev 5824)
@@ -0,0 +1,12 @@
+post_install() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}





More information about the arch-commits mailing list